﻿<Project Sdk="Microsoft.NET.Sdk">

    <PropertyGroup>
        <TargetFramework>netcoreapp2.2</TargetFramework>
        <RootNamespace>SmartStore.Persistance</RootNamespace>
    </PropertyGroup>

    <ItemGroup>
      <PackageReference Include="FluentValidation" Version="8.2.0" />
      <PackageReference Include="Microsoft.AspNetCore.App" Version="2.2.0" />
      <PackageReference Include="Microsoft.EntityFrameworkCore" Version="2.2.2" />
      <PackageReference Include="Microsoft.EntityFrameworkCore.Design" Version="2.2.0" />
      <PackageReference Include="Microsoft.EntityFrameworkCore.SqlServer" Version="2.2.0" />
      <PackageReference Include="Microsoft.Extensions.Configuration.Abstractions" Version="2.2.0" />
      <PackageReference Include="Microsoft.Extensions.Configuration.Json" Version="2.2.0" />
      <PackageReference Include="Microsoft.Extensions.DependencyInjection" Version="2.2.0" />
      <PackageReference Include="Microsoft.Extensions.DependencyInjection.Abstractions" Version="2.2.0" />
      <PackageReference Include="MiniProfiler.AspNetCore" Version="4.*" />
      <PackageReference Include="MiniProfiler.AspNetCore.Mvc" Version="4.*" />
      <PackageReference Include="MiniProfiler.EntityFrameworkCore" Version="4.*" />
      <PackageReference Include="Npgsql.EntityFrameworkCore.PostgreSQL" Version="2.2.0" />
      <PackageReference Include="Npgsql.EntityFrameworkCore.PostgreSQL.Design" Version="2.0.0-preview1" />
    </ItemGroup>

    <ItemGroup>
      <Folder Include="Migrations" />
    </ItemGroup>

    <ItemGroup>
      <ProjectReference Include="..\..\..\BuildingBlocks\Common\U.Common.csproj" />
      <ProjectReference Include="..\U.SmartStoreAdapter.Domain\U.SmartStoreAdapter.Domain.csproj" />
    </ItemGroup>

</Project>
